### Method

# St Icon set_gicon

#### Declaration [src]

    void
    st_icon_set_gicon (
      StIcon* icon,
      GIcon* gicon
    )

#### Description [src]

Sets a `GIcon` to show for the icon. If `gicon` is `NULL` or fails to load, the fallback icon set using `st_icon_set_fallback_icon()` will be shown.

Sets property | `St.Icon:gicon`

#### Parameters

`gicon`

  Type: `GIcon`

  A `GIcon`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.